Home Button Print Button Support Button <---Show nav paneHide nav pane
  • Contents
  • Index
  • Glossary
 

System Requirements

The Globalscape Quality Assurance (QA) team tested EFT SMB and EFT Enterprise with a variety of operating systems, software, and hardware. It is possible for EFT to function with other software and hardware than those listed below, but Globalscape only offers support for EFT with the software/hardware listed below.

EFT (Server Service) Requirements

  • Operating systems:

    • Windows Server 2012 R2, all editions

    • Windows Server 2012

    • Windows Server 2008 R2, all editions

  • RAM:

    • Minimum: 2 GB free RAM

    • Recommended:  4GB free RAM

    • High Performance: 4GB free RAM + 4GB (if AWE is extensively used)

    • More RAM could be required for large file transfers over the AS2 protocol. AS2 transfers can use up to 40% of the Server's RAM.

  • CPU:

    • Minimum: Dual-core CPU of at least 2.5GHz (for minimal processing/automation)

    • Recommended: Quad-core, at least 2.5 GHz (for moderate processing/automation)

    • High Performance: 8+ cores, at 2.5 GHz (for high amount of processing/automation)

  • Microsoft .NET Framework 4.0 or later (all components, including AWE and AS2)

  • Microsoft Windows Installer 4.5

  • For HA (active-active) installations, Microsoft Message Queuing (MSMQ) must be installed (for multicasting). (Requires EFT Enterprise)

  • If accessing or monitoring Samba network shares, version 3.0.25 or later of Samba

  • The EFT service must have full administrative rights to the folder in which you install EFT.

EFT Administration Interface Requirements

The administration interface must be installed on the same computer as EFT, but also can be installed on other computers for remote administration. (Refer to the ARM, AWE, and AS2 requirements below if you plan to use those modules remotely.)

  • Windows 7, Windows 8.1, Windows Server 2008 R2 (Standard, Enterprise, and Datacenter editions), and Windows 2012 (requires GUI component).

  • 1 GB of free RAM

  • 1024x768 resolution or higher display

  • Microsoft Windows Installer 4.5

  • Microsoft .NET Framework 4.0

Auditing and Reporting Module (ARM) Requirements

  • Microsoft® ActiveX Data Objects (ADO)

  • Microsoft SQL Server 2008 R2 Native Client is installed automatically, regardless of whether SQL Server will be used (so that ADO will work with IPv6).

  • 3GB minimum hard drive space for the initial database size. Space requirements for transactions depend on estimated Event Rule activity, number of connections, and types of transactions. A general estimate is 3MB to 5 MB per 1000 files uploaded.

  • PDF-viewing software (such as Adobe Reader) to view PDF reports.

  • Access to a SQL Server or an Oracle database.

    • The installer includes SQL Server 2008 R2 Express for both 32- and 64-bit operating systems (intended for evaluation purposes only). For SQL Server system requirements, refer to http://www.microsoft.com/sqlserver/en/us/learning-center/resources.aspx. EFT is supported with the following SQL Server versions:

      • SQL Server 2008 R2 Express

      • SQL Server 2008 R2

      • SQL Server 2012

      • SQL Server 2014

    • Oracle requires EFT Enterprise; refer to Oracle's documentation regarding Oracle system requirements. Be sure to reboot after you install the Oracle Data Access Components (ODAC). You need to use the 32-bit ODAC, even if EFT Enterprise is installed on a 64-bit operating system. EFT Enterprise is supported with the following Oracle versions:

      • Oracle Database 11g Release 2: 11.2.0.1–11.2.0.3 (patchset as of September 2011)

    • A good database maintenance plan is important to keeping space requirements to a minimum (aging/archiving/warehousing/truncating old data).

    • For better database performance, follow the standard SQL/Oracle tuning guidelines in their user documentation. See also Purging Data from the Database.

    • If you are using SQL Server 2008 Developer and Enterprise editions for your EFT database, refer to the MSDN article Creating Compressed Tables and Indexes.

    • For ARM upgrades, Microsoft .NET Framework 4.0

AS2 Module Requirements

DMZ Gateway Requirements

Refer to the System Requirements in the DMZ Gateway documentation.

Web Transfer Client (WTC) Requirements

For information regarding system requirements for the Web Transfer Client, refer to Web Transfer Client.

Mobile Transfer Client (MTC) System Requirements

For information regarding system requirements for the Mobile Transfer Client, refer to MTC System Requirements.

Mail Express Requirements

The EFT installer is bundled with a compatible version of Mail Express. For example, EFT version 7.0 is compatible with Mail Express version 4.0.4; Mail Express version 4.0.4 is not compatible with previous versions of EFT. Compatibility depends on the COM API version in EFT. Mail Express must be using the same DLL. Please refer to the Mail Express system requirements for more information.